## Patch Gateway Log `client.AIGateway.Logs.Edit(ctx, gatewayID, id, params) (*LogEditResponse, error)` **patch** `/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/logs/{id}` Updates metadata for an AI Gateway log entry. ### Parameters - `gatewayID string` gateway id - `id string` - `params LogEditParams` - `AccountID param.Field[string]` Path param - `Feedback param.Field[float64]` Body param - `Metadata param.Field[map[string, LogEditParamsMetadataUnion]]` Body param - `UnionString` - `UnionFloat` - `UnionBool` - `Score param.Field[float64]` Body param ### Returns - `type LogEditResponse interface{…}` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/ai_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.AIGateway.Logs.Edit( context.TODO(), "my-gateway", "id", ai_gateway.LogEditParams{ AccountID: cloudflare.F("0d37909e38d3e99c29fa2cd343ac421a"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response) } ``` #### Response ```json { "result": {}, "success": true } ```